diff --git a/doc/html/metricsview.html b/doc/html/metricsview.html
index bebbba1114..766e800704 100644
--- a/doc/html/metricsview.html
+++ b/doc/html/metricsview.html
@@ -279,7 +279,9 @@ <H1 ALIGN=Center>
   <P>
   Underneath the display area are a set of text fields. You may type in new
   numbers for any of these fields to change the corresponding metrics of the
-  glyph.
+  glyph. If you wish to type a negative number, it is best to type the positive
+  portion first, then an ASCII minus (`-`). So, to type, -300, type 300, then
+  press -.
   <P>
   The up and down arrow keys will increase and decrease the field's value by 
   a single unit. Holding Shift-up or -down will accelerate this by 10 and 
diff --git a/fontforgeexe/metricsview.c b/fontforgeexe/metricsview.c
index fa79e05722..53acee8ada 100644
--- a/fontforgeexe/metricsview.c
+++ b/fontforgeexe/metricsview.c
@@ -1542,16 +1542,25 @@ static int MV_KernChanged(GGadget *g, GEvent *e) {
 return( true );
     if ( which>mv->glyphcnt-1 || which==0 )
 return( true );
+
     if ( e->u.control.subtype == et_textchanged ) {
-	unichar_t *end;
-	int val = u_strtol(_GGadgetGetTitle(g),&end,10);
+        char* title = GGadgetGetTitle8(g);
 
-	if ( *end && !(*end=='-' && end[1]=='\0'))
-	    GDrawBeep(NULL);
-	else {
-	    MV_ChangeKerning(mv,which,val, false);
-	    MVRemetric(mv);
-	}
+        int negatives = 0;
+        for (char* p = title; *p != '\0'; p++) {
+            if (*p == '-') negatives++;
+        }
+
+        char* new = str_replace_all(title, "-", "", true);
+        int val = strtol(new,NULL,10);
+
+        while (negatives) {
+            val *= -1;
+            negatives--;
+        }
+
+        MV_ChangeKerning(mv,which,val, false);
+        MVRemetric(mv);
     } else if ( e->u.control.subtype == et_textfocuschanged &&
 	    e->u.control.u.tf_focus.gained_focus ) {
 	for ( i=0 ; i<mv->glyphcnt; ++i )
